Package org.h2.command.ddl

# Class AlterDomain

java.lang.Object
org.h2.command.Prepared
org.h2.command.ddl.DefineCommand
org.h2.command.ddl.SchemaCommand
org.h2.command.ddl.AlterDomain

Direct Known Subclasses:
  `AlterDomainAddConstraint`, `AlterDomainDropConstraint`, `AlterDomainExpressions`, `AlterDomainRename`, `AlterDomainRenameConstraint`, `DropDomain`

public abstract class AlterDomain extends SchemaCommand
The base class for ALTER DOMAIN commands.

## Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Method Summary

Modifier and Type
Method
Description
`static void`
`forAllDependencies(SessionLocal session, Domain domain, BiPredicate<Domain,Column> columnProcessor, BiPredicate<Domain,Domain> domainProcessor, boolean recompileExpressions)`
Processes all columns and domains that use the specified domain.
`final void`
`setDomainName(String domainName)`
`final void`
`setIfDomainExists(boolean b)`
`final long`
`update()`
Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isRetryable, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, getType, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### forAllDependencies

public static void forAllDependencies(SessionLocal session, Domain domain, BiPredicate<Domain,Column> columnProcessor, BiPredicate<Domain,Domain> domainProcessor, boolean recompileExpressions)
Processes all columns and domains that use the specified domain.

Parameters:
  `session` - the session
  `domain` - the domain to process
  `columnProcessor` - column handler
  `domainProcessor` - domain handler
  `recompileExpressions` - whether processed expressions need to be recompiled

### setDomainName

public final void setDomainName(String domainName)

### setIfDomainExists

public final void setIfDomainExists(boolean b)

### update

public final long update()
Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count